[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Automake-commit] [SCM] GNU Automake branch, master, updated. Release-1-
From: |
Ralf Wildenhues |
Subject: |
[Automake-commit] [SCM] GNU Automake branch, master, updated. Release-1-10-118-g03f753d |
Date: |
Wed, 23 Jan 2008 22:45:54 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".
http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=03f753d32b2d6905ef61d9005e1dcaefacdf6124
The branch, master has been updated
via 03f753d32b2d6905ef61d9005e1dcaefacdf6124 (commit)
via 56de7b554174973801001b95ccf57ba9abe63b40 (commit)
via 4fff4f3c05c1889d5777b1a951e02ffe0ae88dae (commit)
from ce864ac1b0bf920739d28f6cc574b48bf7d3bfb2 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 03f753d32b2d6905ef61d9005e1dcaefacdf6124
Author: Ralf Wildenhues <address@hidden>
Date: Wed Jan 23 23:42:07 2008 +0100
* tests/nobase.test: Extend test to generated files.
commit 56de7b554174973801001b95ccf57ba9abe63b40
Author: Ralf Wildenhues <address@hidden>
Date: Wed Jan 23 23:40:57 2008 +0100
New test nobase-python.test.
* tests/nobase-python.test: New test, nobase for python files.
* tests/Makefile.am: Update.
commit 4fff4f3c05c1889d5777b1a951e02ffe0ae88dae
Author: Ralf Wildenhues <address@hidden>
Date: Wed Jan 23 23:38:34 2008 +0100
Split libtool part off of nobase.test.
* tests/nobase.test: Split off libtool part of nobase.test for
increased test exposure, to ...
* tests/nobase-libtool.test: ... this new test.
* tests/Makefile.am: Update.
-----------------------------------------------------------------------
Summary of changes:
ChangeLog | 12 ++++++
tests/Makefile.am | 2 +
tests/Makefile.in | 2 +
tests/nobase-libtool.test | 88 +++++++++++++++++++++++++++++++++++++++++++++
tests/nobase-python.test | 79 ++++++++++++++++++++++++++++++++++++++++
tests/nobase.test | 47 ++++++++++++++----------
6 files changed, 211 insertions(+), 19 deletions(-)
create mode 100755 tests/nobase-libtool.test
create mode 100755 tests/nobase-python.test
diff --git a/ChangeLog b/ChangeLog
index 649e9ac..aa5e7b2 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,15 @@
+2008-01-23 Ralf Wildenhues <address@hidden>
+
+ * tests/nobase.test: Extend test to generated files.
+
+ * tests/nobase-python.test: New test, nobase for python files.
+ * tests/Makefile.am: Update.
+
+ * tests/nobase.test: Split off libtool part of nobase.test for
+ increased test exposure, to ...
+ * tests/nobase-libtool.test: ... this new test.
+ * tests/Makefile.am: Update.
+
2008-01-23 Eric Blake <address@hidden>
Fix color.test when using BSD grep.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 796a34d..ec10801 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -389,6 +389,8 @@ mkinst3.test \
mmodely.test \
multlib.test \
nobase.test \
+nobase-libtool.test \
+nobase-python.test \
nodef.test \
nodef2.test \
nodep.test \
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 219d4dd..6ba81ab 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -538,6 +538,8 @@ mkinst3.test \
mmodely.test \
multlib.test \
nobase.test \
+nobase-libtool.test \
+nobase-python.test \
nodef.test \
nodef2.test \
nodep.test \
diff --git a/tests/nobase-libtool.test b/tests/nobase-libtool.test
new file mode 100755
index 0000000..c0b998c
--- /dev/null
+++ b/tests/nobase-libtool.test
@@ -0,0 +1,88 @@
+#! /bin/sh
+# Copyright (C) 2001, 2002, 2004, 2005, 2006, 2007, 2008 Free Software
+# Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure nobase_* works for libtool libraries as well.
+# This is just the libtool equivalent of nobase.test, split
+# up for greater exposure of nobase.test.
+
+required='libtoolize gcc'
+. ./defs || exit 1
+
+set -e
+
+cat >> configure.in <<'EOF'
+AC_PROG_CC
+AC_PROG_LIBTOOL
+AC_OUTPUT
+EOF
+
+cat > Makefile.am << 'EOF'
+fooexecdir = $(prefix)/foo
+fooexec_LTLIBRARIES = sub/libbase.la
+nobase_fooexec_LTLIBRARIES = sub/libnobase.la
+sub_libbase_la_SOURCES = source2.c
+sub_libnobase_la_SOURCES = source2.c
+
+test-install-data: install-data
+ test ! -f inst/foo/sub/libnobase.la
+ test ! -f inst/foo/libbase.la
+
+test-install-exec: install-exec
+ test -f inst/foo/sub/libnobase.la
+ test ! -f inst/foo/libnobase.la
+ test -f inst/foo/libbase.la
+EOF
+
+mkdir sub
+
+cat >source2.c <<'EOF'
+int
+main (int argc, char *argv[])
+{
+ return 0;
+}
+EOF
+
+rm -f install-sh
+
+libtoolize
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE -a --copy
+./configure --prefix "`pwd`/inst" --program-prefix=p
+
+$MAKE
+$MAKE test-install-data
+$MAKE test-install-exec
+$MAKE uninstall
+
+test `find inst/foo -type f -print | wc -l` = 0
+
+$MAKE install-strip
+
+# Likewise, in a VPATH build.
+
+$MAKE uninstall
+$MAKE distclean
+mkdir build
+cd build
+../configure --prefix "`pwd`/inst" --program-prefix=p
+$MAKE
+$MAKE test-install-data
+$MAKE test-install-exec
+$MAKE uninstall
+test `find inst/foo -type f -print | wc -l` = 0
diff --git a/tests/nobase-python.test b/tests/nobase-python.test
new file mode 100755
index 0000000..f6f284d
--- /dev/null
+++ b/tests/nobase-python.test
@@ -0,0 +1,79 @@
+#! /bin/sh
+# Copyright (C) 2008 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure nobase_* works for python files.
+
+required=python
+. ./defs || exit 1
+
+set -e
+
+cat >>configure.in <<EOF
+AM_PATH_PYTHON
+AC_OUTPUT
+EOF
+
+cat > Makefile.am <<'END'
+mydir=$(prefix)/my
+my_PYTHON = one.py sub/base.py
+nobase_my_PYTHON = two.py sub/nobase.py
+
+one.py sub/base.py two.py sub/nobase.py:
+ echo 'def one(): return 1' >$@
+
+test-install-data: install-data
+ test -f inst/my/one.py
+ test -f inst/my/one.pyc
+ test -f inst/my/two.py
+ test -f inst/my/two.pyc
+ test -f inst/my/base.py
+ test -f inst/my/base.pyc
+ test -f inst/my/sub/nobase.py
+ test -f inst/my/sub/nobase.pyc
+ test ! -f inst/my/nobase.py
+ test ! -f inst/my/nobase.pyc
+END
+
+mkdir sub
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE --add-missing
+
+mkdir inst
+inst=`pwd`/inst
+
+./configure --prefix "`pwd`/inst" --program-prefix=p
+
+$MAKE
+$MAKE test-install-data
+$MAKE uninstall
+
+test `find inst/my -type f -print | wc -l` = 0
+
+$MAKE install-strip
+
+# Likewise, in a VPATH build.
+
+$MAKE uninstall
+$MAKE distclean
+mkdir build
+cd build
+../configure --prefix "`pwd`/inst" --program-prefix=p
+$MAKE
+$MAKE test-install-data
+$MAKE uninstall
+test `find inst/my -type f -print | wc -l` = 0
diff --git a/tests/nobase.test b/tests/nobase.test
index 24d39da..f65bb86 100755
--- a/tests/nobase.test
+++ b/tests/nobase.test
@@ -1,5 +1,6 @@
#! /bin/sh
-# Copyright (C) 2001, 2002, 2004, 2005, 2006, 2007 Free Software Foundation,
Inc.
+# Copyright (C) 2001, 2002, 2004, 2005, 2006, 2007, 2008 Free Software
+# Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -16,14 +17,14 @@
# Make sure nobase_* works.
-required='libtoolize gcc'
+required='gcc'
. ./defs || exit 1
set -e
cat >> configure.in <<'EOF'
AC_PROG_CC
-AC_PROG_LIBTOOL
+AC_PROG_RANLIB
AC_OUTPUT
EOF
@@ -31,14 +32,14 @@ cat > Makefile.am << 'EOF'
foodir = $(prefix)/foo
fooexecdir = $(prefix)/foo
-foo_HEADERS = sub/base.h
-nobase_foo_HEADERS = sub/nobase.h
+foo_HEADERS = sub/base.h sub/base-gen.h
+nobase_foo_HEADERS = sub/nobase.h sub/nobase-gen.h
-dist_foo_DATA = sub/base.dat
-nobase_dist_foo_DATA = sub/nobase.dat
+dist_foo_DATA = sub/base.dat sub/base-gen.dat
+nobase_dist_foo_DATA = sub/nobase.dat sub/nobase-gen.dat
-dist_fooexec_SCRIPTS = sub/base.sh
-nobase_dist_fooexec_SCRIPTS = sub/nobase.sh
+dist_fooexec_SCRIPTS = sub/base.sh sub/base-gen.sh
+nobase_dist_fooexec_SCRIPTS = sub/nobase.sh sub/nobase-gen.sh
fooexec_PROGRAMS = sub/base
nobase_fooexec_PROGRAMS = sub/nobase
@@ -50,40 +51,49 @@ nobase_fooexec_LIBRARIES = sub/libnobase.a
sub_libbase_a_SOURCES = source.c
sub_libnobase_a_SOURCES = source.c
-fooexec_LTLIBRARIES = sub/libbase.la
-nobase_fooexec_LTLIBRARIES = sub/libnobase.la
-sub_libbase_la_SOURCES = source2.c
-sub_libnobase_la_SOURCES = source2.c
+generated_files = sub/base-gen.h sub/nobase-gen.h sub/base-gen.dat \
+sub/nobase-gen.dat sub/base-gen.sh sub/nobase-gen.sh
+
+$(generated_files):
+ echo "generated file $@" > $@
+
+CLEANFILES = $(generated_files)
test-install-data: install-data
test -f inst/foo/sub/nobase.h
test ! -f inst/foo/nobase.h
+ test -f inst/foo/sub/nobase-gen.h
+ test ! -f inst/foo/nobase-gen.h
test -f inst/foo/base.h
+ test -f inst/foo/base-gen.h
test -f inst/foo/sub/nobase.dat
test ! -f inst/foo/nobase.dat
+ test -f inst/foo/sub/nobase-gen.dat
+ test ! -f inst/foo/nobase-gen.dat
test -f inst/foo/base.dat
+ test -f inst/foo/base-gen.dat
test ! -f inst/foo/sub/pnobase.sh
+ test ! -f inst/foo/sub/pnobase-gen.sh
test ! -f inst/foo/pbase.sh
+ test ! -f inst/foo/pbase-gen.sh
test ! -f inst/foo/sub/pnobase$(EXEEXT)
test ! -f inst/foo/pbase$(EXEEXT)
test ! -f inst/foo/sub/libnobase.a
test ! -f inst/foo/libbase.a
- test ! -f inst/foo/sub/libnobase.la
- test ! -f inst/foo/libbase.la
test-install-exec: install-exec
test -f inst/foo/sub/pnobase.sh
test ! -f inst/foo/pnobase.sh
+ test -f inst/foo/sub/pnobase-gen.sh
+ test ! -f inst/foo/pnobase-gen.sh
test -f inst/foo/pbase.sh
+ test -f inst/foo/pbase-gen.sh
test -f inst/foo/sub/pnobase$(EXEEXT)
test ! -f inst/foo/pnobase$(EXEEXT)
test -f inst/foo/pbase$(EXEEXT)
test -f inst/foo/sub/libnobase.a
test ! -f inst/foo/libnobase.a
test -f inst/foo/libbase.a
- test -f inst/foo/sub/libnobase.la
- test ! -f inst/foo/libnobase.la
- test -f inst/foo/libbase.la
EOF
mkdir sub
@@ -106,7 +116,6 @@ cp source.c source2.c
rm -f install-sh
-libtoolize
$ACLOCAL
$AUTOCONF
$AUTOMAKE -a --copy
hooks/post-receive
--
GNU Automake
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [Automake-commit] [SCM] GNU Automake branch, master, updated. Release-1-10-118-g03f753d,
Ralf Wildenhues <=